{% extends "base.html" %}

{% block page_name %}Sponsorship Requests{%endblock %}
{% block sub_nav %}{% endblock %}

{% block content %}
<h1>{{ summit.title }}</h1>

{% if sponsorships %}
  <h2>Sponsorships requested</h2>
  <ul class="sponsorships">
    {% for sponsorship in sponsorships %}
    <li><a href="/{{ summit.name }}/sponsorship/review/{{ sponsorship.id }}">{{ sponsorship.real_name }}</a>
      {% ifnotequal sponsorship.numscores 0 %}
        {% if sponsorship.already_scored %}
        ({{ sponsorship.score|stringformat:"+.02f" }} / {{ sponsorship.numscores }})
        {% else %}
        <b>({{ sponsorship.score|stringformat:"+.02f" }} / {{ sponsorship.numscores }})</b>
        {% endif %}
      {% endifnotequal %}
</li>
    {% endfor %}
  </ul>
{% endif %}

{% if suggestedsponsorships %}
  <h2>Sponsorships requested on behalf of another</h2>
  <ul class="suggestedsponsorships">
    {% for sponsorship in suggestedsponsorships %}
    <li>
      <a href="/{{ summit.name }}/suggestedsponsorship/review/{{ sponsorship.id }}">
      {{ sponsorship.name }}
      </a>
      (<a href="http://launchpad.net/~{{ sponsorship.launchpad_name }}">{{ sponsorship.name }}</a>)
      {% ifnotequal sponsorship.numscores 0 %}
      <b>({{ sponsorship.score|stringformat:"+d" }})</b>
      {% endifnotequal %}
</li>
    {% endfor %}
  </ul>
{% endif %}

{% if nonlaunchpadsponsorships %}
  <h2>Sponsorships requested on behalf of another (non-Launchpad)</h2>
  <ul class="nonlaunchpadsponsorships">
    {% for sponsorship in nonlaunchpadsponsorships %}
    <li>
      <a href="/{{ summit.name }}/nonlaunchpadsponsorship/review/{{ sponsorship.id }}">
        {{ sponsorship.name }} - {{ sponsorship.company }}
      </a>
      {% ifnotequal sponsorship.numscores 0 %}
      <b>({{ sponsorship.score|stringformat:"+d" }})</b>
      {% endifnotequal %}
</li>
    {% endfor %}
  </ul>
{% endif %}

<a href="/{{ summit.name }}/sponsorship/export/">CSV export</a>
{% endblock %}
